/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { Project } from "../../components/project";
import { Projects } from "../../config/Projects";
import type { JSX } from "react";

/**
 * Renders the /projects page.
 * @returns A React Component.
 */
const ProjectPage = (): JSX.Element => {
  return (
    <main className="w-4/5 text-center max-w-4xl m-auto mt-16 mb-16 rounded-lg">
      <h1 className="text-5xl">{`Our Projects`}</h1>
      <p className="text-2xl">{`These are all of the projects we are currently maintaining.`}</p>
      <section>
        {Projects.toSorted((a, b) => {
          return a.name.localeCompare(b.name);
        }).map((project) => {
          return (
            <Project key={project.name} {...project} />
          );
        })}
      </section>
    </main>
  );
};

export default ProjectPage;
