/* eslint-disable stylistic/max-len */
/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { Rule } from "../../components/rule";
import type { JSX } from "react";

/**
 * Renders the /tech page.
 * @returns A React Component.
 */
const PlayPage = (): JSX.Element => {
  return (
    <main
      className="w-[95%] text-center
    max-w-4xl m-auto mt-16 mb-16 rounded-lg"
    >
      <h1 className="text-5xl">{`Technologies`}</h1>
      <p className="mb-2">
        {`These are the technologies I use on a regular basis.`}
      </p>
      <section>
        <Rule />
        <h2 className="text-3xl">{`Environment`}</h2>
        <div className="w-full flex flex-wrap justify-evenly">
          <img
            alt="Arch Linux"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/archlinux/archlinux-original.svg"
          />
          <img
            alt="VSCode"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/vscode/vscode-original.svg"
          />
          <img
            alt="Prisma"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/prisma/prisma-original.svg"
          />
          <img
            alt="Node.js"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/nodejs/nodejs-original.svg"
          />
        </div>
      </section>
      <section>
        <Rule />
        <h2 className="text-3xl">{`Languages`}</h2>
        <div className="w-full flex flex-wrap justify-evenly">
          <img
            alt="JavaScript"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/javascript/javascript-original.svg"
          />
          <img
            alt="TypeScript"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/typescript/typescript-original.svg"
          />
          <img
            alt="Python"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/python/python-original.svg"
          />
          <img
            alt="Dotnet"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/dotnetcore/dotnetcore-original.svg"
          />
          <img
            alt="Kotlin"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/kotlin/kotlin-original.svg"
          />
          <img
            alt="Rust"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/rust/rust-original.svg"
          />
          <img
            alt="Ruby"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/ruby/ruby-original.svg"
          />
        </div>
      </section>
      <section>
        <Rule />
        <h2 className="text-3xl">{`Coming Soon!`}</h2>
        <div className="w-full flex flex-wrap justify-evenly">
          <img
            alt="Haskell"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/haskell/haskell-original.svg"
          />
          <img
            alt="Zig"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/zig/zig-original.svg"
          />
          <img
            alt="Go"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/go/go-original.svg"
          />
          <img
            alt="Dart"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/dart/dart-original.svg"
          />
          <img
            alt="Flutter"
            className="w-[100px]"
            src="https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/flutter/flutter-original.svg"
          />
        </div>
      </section>
    </main>
  );
};

export default PlayPage;
