/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */

const Characters: Record<string, { age: number; alt: string; class: string; name: string; bio: Array<string> }> = {
  "aria-iuvo": {
    age: 103,
    alt: "A digital art illustration depicts a young anime-style girl with long dark red hair, pale skin, and a blank white mask-like face standing against a dark night sky, holding a glowing knife and gazing pensively at a full moon.",
    bio: [
      "Aria Iuvo is far more chaotic and mischievous than her sister Melody.",
      "As an elf, Aria Iuvo is actually quite older than her sister, but she is far more spry and youthful in appearance.",
    ],
    class: "Thief",
    name:  "Aria Iuvo",
  },
  "becca-lyria": {
    age: 21,
    alt: "Anime girl with white hair in pigtails and glasses, wearing a purple outfit, sitting on a white bed with a glowing purple magic circle design on the floor in front of her",
    bio: [
      "Becca Lyria commands a complete mastery over death, able to raise the dead and control them as she sees fit.",
      "She was orphaned at a young age, with little memory of her parents. Naomi had found her quite a few years later and took her in as her own child.",
    ],
    class: "Necromancer",
    name:  "Becca Lyria",
  },
  "cordelia-taryne": {
    age: 85,
    alt: "Anime girl with blonde hair in two buns wearing a yellow and gold dress sits amidst a white magic circle and red roses against a dark red background",
    bio: [
      "Cordelia Taryne was Aria's child, and in her early life appeared to be human.",
      "However, in her young adult life, she had fallen sway to a nefarious cult. As part of her initiation, she was bitten by a vampire and turned into a thrall.",
      "When she finally overthrew her master and unlocked her full powers, her latent elvish traits also began to show.",
    ],
    class: "Vampyr",
    name:  "Cordelia Taryne",
  },
  "gwen-carrigan": {
    age: 28,
    alt: "Anime-style female character with purple hair in a side ponytail swinging her sword, wearing black armour, standing in a grassy field with cherry blossom petals floating in the air and a waterfall in the background.",
    bio: [
      "Gwen is Naomi's other adopted child. She was actually adopted first, and when Becca was taken in she took off in a huff.",
      "She had spent a few years honing her skills with the blade, getting into fights (and even losing some, one of which took her eye).",
      "As she's matured, she has started to reconnect with the family she had left behind.",
    ],
    class: "Warrior",
    name:  "Gwen Carrigan",
  },
  "maylin-taryne": {
    age: 32,
    alt: "A blonde female anime character with short hair aims a bow and arrow while jumping through the air, trees and a fence visible in the background under a bright blue sky with wispy clouds.",
    bio: [
      "Maylin was a thrall to the same master as Cordelia, but when Cordelia took his place Maylin's vampiric powers faded.",
      "Out of a sense of guilt, Cordelia took her in as the only human she's ever been close to.",
      "While she may not have elvish blood, Maylin has found a strong connection with nature and serves as a talented ranger.",
    ],
    class: "Ranger",
    name:  "Maylin Taryne",
  },
  "melody-iuvo": {
    age: 26,
    alt: "3D anime-style girl with green hair in a ponytaiol aims a sniper rifle while kneeling in a grassy field with pine trees under a blue sky",
    bio: [
      "Melody Iuvo is a master of stealth and deception.",
      "She had actually started as Naomi's assistant, but the two quickly began to develop feelings for each other and later became married.",
      "Unlike her sister, Melody did not inherit the elven genes of their mother.",
    ],
    class: "Assassin",
    name:  "Melody Iuvo",
  },
  "naomi-carrigan": {
    age: 30,
    alt: "Illustration of an anime girl with glasses and short brown hair floating in a surreal space environment, surrounded by glowing teal snowflakes, silver sparkles, and layered geometric designs resembling railroad tracks or wheels against a dark starry sky background.",
    bio: [
      "Naomi Carrigan is a technomancer - she uses magic to manipulate the technology around her.",
      "She is the matriarch of the family. Despite being younger than some of the other members, her power and her leadership capabilities have earned her the spot at the head of the family.",
    ],
    class: "Technomancer",
    name:  "Naomi Carrigan",
  },
  "rosalia-nightsong": {
    age: 18,
    alt: "Anime-style girl with long dark hair and green eyes wearing a white dress, standing in a palace throne room with pink tile floors and ornate stained glass windows behind the throne",
    bio: [
      "Born to noble parents, Rosalia wanted for little in life. She spent her time devoted to her Goddess.",
      "The day came when she was called to take up the sword and right the wrongs in the world, and she has been on that path ever since.",
      "While she and Becca may be married, they don't always see eye-to-eye -- and Rosalia still hopes that one day Becca will turn away from the path of darkness.",
    ],
    class: "Paladin",
    name:  "Rosalia Nightsong",
  },
};

export { Characters };
