/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { faLinkedin } from "@fortawesome/free-brands-svg-icons";
import type { IconDefinition } from "@fortawesome/fontawesome-svg-core";

/**
 * List of reviews to render.
 */
export const Testimonials: Array<{
  name:       string;
  date:       Date;
  content:    string;
  sourceIcon: IconDefinition;
  sourceUrl:  string;
  sourceName: string;
}> = [
  {
    content:
      "Naomi has done a fantastic job in creating Becca Bot, which is an integral part in managing the EddieHub Discord Community. As founder of EddieHub, Naomi is super helpful to all Community members and an excellent moderator, from our text channels to audio calls and live streams. Naomi demonstrates an excellent technical knowledge and is always keen to share this with the community.",
    date:       new Date("June 30, 2023"),
    name:       "Eddie Jaoude",
    sourceIcon: faLinkedin,
    sourceName: "LinkedIn",
    sourceUrl:  "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/",
  },
  {
    content:
      "If you need a problem solver, look at Naomi. Naomi is a fantastic part of the online tech community by teaching and offering help to beginners on their journeys into tech. She has created some great solutions and is a consistent learner. Naomi has led initiatives using Javascript and front-end technologies to produce finished products within a volunteer position. Highly recommend Naomi to any team.",
    date:       new Date("July 6 2023"),
    name:       "Danny Thompson",
    sourceIcon: faLinkedin,
    sourceName: "LinkedIn",
    sourceUrl:  "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/",
  },
  {
    content:
      "Naomi is an absolute trailblazer, and is an amazing person to work with! Naomi is humorous and also has an amazing attitude to work with. Her ability to solve complex problems efficiently astounds me. Not only does she demonstrate outstanding technical knowledge, but also does an amazing job at elucidating her needs as an engineer. She is a very warm person and quite easy to work with. Naomi is immensely perceptive and very calculated with what she does. Naomi would make an excellent addition to any company that is lucky enough to hire her!",
    date:       new Date("May 2 2024"),
    name:       "Francez Urmatan",
    sourceIcon: faLinkedin,
    sourceName: "LinkedIn",
    sourceUrl:  "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/",
  },
  {
    content:
      "I've worked alongside Naomi on a number of projects, and it is always a blessing to have her on the team. She is knowledgable, reliable, and always willing to jump in with creative and efficient engineering solutions to complex workflow problems. Naomi is also such a patient teacher, effectively explaining how things work and enabling others to become more independent. I always look forward to working with Naomi, and recommend you work with her if you have the opportunity!",
    date:       new Date("May 14 2024"),
    name:       "Katey Berry",
    sourceIcon: faLinkedin,
    sourceName: "LinkedIn",
    sourceUrl:  "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/",
  },
  {
    content:
      "She is a dedicated programmer and spends most of her time either making bots, or coding. She has an excellent work ethic and goes until she is satisfied with the end product.",
    date:       new Date("May 30, 2024"),
    name:       "Kaitlyn Nichols",
    sourceIcon: faLinkedin,
    sourceName: "LinkedIn",
    sourceUrl:  "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/",
  },
  {
    content:
      "Naomi is an incredibly dynamic and resourceful professional, always ready with a multitude of solutions for any challenge. Her problem-solving skills are like watching a masterful sequence unfold, earning her the well-deserved nickname 'the technomancer.' Naomi's strong educational background is evident in her clear and concise explanations, making complex concepts easily understandable. She excels in communication, ensuring that everyone feels valued and integral to the team. Naomi is truly the glue that holds any team together. Adding her to your team will be a decision you won't regret.",
    date:       new Date("July 15, 2024"),
    name:       "Alix Takada Sharp",
    sourceIcon: faLinkedin,
    sourceName: "LinkedIn",
    sourceUrl:  "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/",
  },
  {
    content:    "Naomi's erudition on just about every development topic under the sun, expediency at completing massive technical undertakings solo, and undeniable passion for the work she does is an ever-present joy and boon for any organization lucky enough to work with her. As an example, Naomi composed an extensive and accessible DB comprising all available traits and behaviors of our Users, whipped up an extremely user-friendly API that our team of end-users could utilize seamlessly, and regularly developed additional clever dataflows for very particular asks. Every aspect of this work was done impeccably and frictionlessly, and that's just one of the dozens of projects she developed with our team during the time I worked alongside her. As brilliant as Naomi is, she's also humble, hilarious, and an all-around aspirational figure to all people looking to find true passion for themselves alongside professional success. I strive to be more like her, and I know I'm not alone in that.",
    date:       new Date("September 27, 2024"),
    name:       "Chris Ohman",
    sourceIcon: faLinkedin,
    sourceName: "LinkedIn",
    sourceUrl:  "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/",
  },
  {
    content:    "Naomi always had the knowledge and information for nearly every question I ever had. It was such an honor to work with her, and anyone would be lucky to have the chance for her to work with you or your team.",
    date:       new Date("October 28 2024"),
    name:       "Alexis Madsen",
    sourceIcon: faLinkedin,
    sourceName: "LinkedIn",
    sourceUrl:  "https://www.linkedin.com/in/naomi-lgbt/details/recommendations/",
  },
];
