import { coverageConfigDefaults, defineConfig } from "vitest/config";

export default defineConfig({
  test: {
    coverage: {
      provider: "istanbul",
      reporter: ["text", "html"],
      all: true,
      allowExternal: true,
      thresholds: {
        lines: 100,
        statements: 100,
        functions: 95,
        branches: 100
      },
      extension: [".ts"],
      exclude: [...coverageConfigDefaults.exclude, "tailwind.config.ts", "koikatsu.ts"]
    }
  }
});